org.apache.felix.framework

## Class VersionConverter

- java.lang.Object
- - org.apache.felix.framework.VersionConverter

    public class VersionConverter
    extends Object

Converts generic version identifiers to the `Version` instances.

### Constructor Summary

Constructors
Constructor and Description
`VersionConverter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Version` `toOsgiVersion(String value)` Converts generic version id to the `Version` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VersionConverter

    public VersionConverter()

### Method Detail

#### toOsgiVersion

    public static Version toOsgiVersion(String value)
                                 throws IllegalArgumentException

Converts generic version id to the `Version` instance. Examples:

     0.0 -> 0.0.0
     2.3.4-SNAPSHOT -> 2.3.4.SNAPSHOT
     8.7.6-special-edition -> 8.7.6.special-edition

Parameters:
  `value` - any usual version id parseable by the `Version` class constructor after adding missing implicit values.
Returns:
  `Version`
Throws:
  `IllegalArgumentException` - If the numerical components are negative or the qualifier string is invalid.